/**
 * 
 */
package org.ajax4jsf.config;

import java.io.InputStream;
import java.util.List;

import junit.framework.TestCase;

/**
 * @author asmirnov
 *
 */
public class WebXMLTest extends TestCase {

	/* (non-Javadoc)
	 * @see junit.framework.TestCase#setUp()
	 */
	protected void setUp() throws Exception {
		super.setUp();
	}

	/* (non-Javadoc)
	 * @see junit.framework.TestCase#tearDown()
	 */
	protected void tearDown() throws Exception {
		super.tearDown();
	}

	/**
	 * Test method for {@link org.WebXMLParser.portletbridge.util.WebXML#init(java.io.InputStream, String)}.
	 */
	public void testParse() throws Exception {
		WebXMLParser webXml = new WebXMLParser();
		InputStream inputStream = this.getClass().getResourceAsStream("/WEB-INF/web.xml");
		webXml.init(inputStream, "foo");
		inputStream.close();
		List<String> facesServletMappings = webXml.getFacesServletMappings();
		assertEquals(2, facesServletMappings.size());
		assertEquals("*.jsf", webXml.getFacesServletMappings().get(1));
		assertEquals("/faces/*", webXml.getFacesServletMappings().get(0));
		assertEquals(".jsf", webXml.getFacesServletSuffix());
		assertEquals("/faces", webXml.getFacesServletPrefix());
	}

}
